Map<String, dynamic> differenceTimeFromNow(String time) {
  DateTime from = DateTime.now().toLocal();
  DateTime to = DateTime.parse(time).toLocal();
  int hours = to.difference(from).inHours % 60;
  int minutes = to.difference(from).inMinutes % 60;
  int seconds = to.difference(from).inSeconds % 60;
  Map<String, dynamic> results = {
    "hour": hours.toString().padLeft(2, '0'),
    "minutes": minutes.toString().padLeft(2, '0'),
    "seconds": seconds.toString().padLeft(2, '0'),
    // "time_left": (hours > 0)
    //     ? "${hours.toString().padLeft(2, '0')}:${minutes.toString().padLeft(2, '0')}:${seconds.toString().padLeft(2, '0')}"
    //     : "${minutes.toString().padLeft(2, '0')}:${seconds.toString().padLeft(2, '0')}",
  };
  return results;
}
